Masumi Logo

/x402-budgets

Sets the remaining spend budget for an (API key, managed wallet, chain, asset) tuple. Replaces the remaining amount.

POST
/x402/budgets
token<token>

API key authentication via header (token)

In: header

Request Body

application/json

Budget to set

Response Body

application/json

curl -X POST "https://loading/./../api/v1/x402/budgets" \  -H "Content-Type: application/json" \  -d '{    "apiKeyId": "api_key_id",    "evmWalletId": "clmanagedwallet0001",    "caip2Network": "eip155:8453",    "asset": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",    "remainingAmount": "1000000"  }'
{
  "status": "success",
  "data": {
    "id": "clx402budget0001",
    "apiKeyId": "api_key_id",
    "evmWalletId": "clmanagedwallet0001",
    "evmWalletAddress": "0x1111111111111111111111111111111111111111",
    "caip2Network": "eip155:8453",
    "asset": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
    "remainingAmount": "1000000",
    "spentAmount": "0",
    "createdById": "api_key_id",
    "createdAt": "2026-06-02T12:00:00.000Z",
    "updatedAt": "2026-06-02T12:00:00.000Z"
  }
}
Masumi Kanji